Package: org.gmetrics.metricregistry

## [Groovy] Class DefaultMetricRegistry

- org.gmetrics.metricregistry.DefaultMetricRegistry

- All Implemented Interfaces and Traits:
    MetricRegistry

      class DefaultMetricRegistry

  Default implementation of MetricRegistry

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static def` | `METRIC_CLASSES` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Collection<String>` | `getAllMetricNames()`
    `` | `Class<Metric>` | `getMetricClass(String metricName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final def METRIC_CLASSES

  - ### Method Detail

    - #### @Override Collection<String> getAllMetricNames()

    - #### @Override Class<Metric> getMetricClass(String metricName)